import { EventEmitter, Component, Output, NgModule } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxBootstrapConfirmModalComponent {
    /**
     * @param {?} bsModalRef
     */
    constructor(bsModalRef) {
        this.bsModalRef = bsModalRef;
        this.result = new EventEmitter();
        this.message = 'Are you sure?';
        this.btnNoText = 'No';
        this.btnYesText = 'Yes';
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    confirm() {
        this.bsModalRef.hide();
        this.result.emit(true);
    }
    /**
     * @return {?}
     */
    decline() {
        this.bsModalRef.hide();
        this.result.emit(false);
    }
}
NgxBootstrapConfirmModalComponent.decorators = [
    { type: Component, args: [{
                selector: 'modal-content',
                template: `
      <div class="modal-body text-center">
          <p class="lead mb-5">{{ message }}</p>
          <button type="button" class="btn btn-lg btn-outline-secondary mr-5" (click)="decline()" >{{ btnNoText }}</button>
          <button type="button" class="btn btn-lg btn-success" (click)="confirm()" >{{ btnYesText }}</button>
      </div>
  `
            }] }
];
/** @nocollapse */
NgxBootstrapConfirmModalComponent.ctorParameters = () => [
    { type: BsModalRef }
];
NgxBootstrapConfirmModalComponent.propDecorators = {
    result: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxBootstrapConfirmModalModule {
}
NgxBootstrapConfirmModalModule.decorators = [
    { type: NgModule, args: [{
                declarations: [NgxBootstrapConfirmModalComponent],
                imports: [],
                exports: [NgxBootstrapConfirmModalComponent]
            },] }
];

export { NgxBootstrapConfirmModalComponent, NgxBootstrapConfirmModalModule };
//# sourceMappingURL=sammaye-ngx-bootstrap-confirm-modal.js.map
